.sliderContentArea {
	position: relative;
	width: 100%;
	height: auto; /* Let height adjust automatically */
	overflow: hidden; /* Prevent overflowing content */
	transition: height 0.3s ease-in-out;
}

.slide {
  position: absolute;
  width: 100%;
  align-items: center;
  justify-content: center;
  transition: transform 0.5s;
}

.slide img {
	max-width: 100%; /* Prevents the image from being larger than its container */
	max-height: 100%; /* Prevents vertical stretching */
	height: auto;
	width: auto;
    object-fit: contain; /* Or use 'contain' if you want to ensure the entire image is visible */
	display: block; /* Removes inline-block spacing issues */
	-webkit-backface-visibility: hidden; /* Fixes rendering glitches */
}

.slideContent {
  position: relative;
}

.slider {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.bannerNavigation {
  display: flex;
  flex-wrap: wrap;
  position: absolute;
  bottom: 0px;
  padding: 5px;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.sliderNavDot {
  cursor: pointer;
  padding: 5px 5px;
  font-size: 0.6em;
  color: rgba(100,100,100);
}

.currentBannerDot {
  color: rgba(0, 75, 155);
  font-size: 0.8em;
}

.sliderBtn {
  cursor: pointer;
  background-color: rgba(0,0,0,0.1);
  border: none;
  color: rgba(255,255,255,0.8);
  width: 50px;
  height: 50px;
  border: 10px solid rgba(0,0,0,0.0);
  border-radius: 50%;
  z-index: 1;
  background-repeat: no-repeat;
	background-size: contain;
  background-position: center;
  outline: none !important;
}

.sliderLeftBtn {
  position: absolute;
  top: calc(50% - 25px);
  left: 10px; 
  background-image: url('../img/slider_btn_left.png');
}

.sliderRightBtn {
  position: absolute;
  top: calc(50% - 25px);
  right: 10px;
  background-image: url('../img/slider_btn_right.png');
}

.cardTextArea {
  padding: 10px;
}

.cardImage {
  width: 100%;
  Padding: 10px;
}

.cardText {
  text-align: left;
  line-height: 1.3;
}